/*
 * $Id: fparse.h,v 1.1 1998/06/15 04:18:08 elkner Exp $
 *
 * Author:  Jens Elkner            elkner@ivs.cs.uni-magdeburg.de
 * Project: Jesalfa     http://ivs.cs.uni-magdeburg.de/~elkner/webtools/jesalfa/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * http://www.gnu.org/copyleft/gpl.html or ./gpl.html
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef FPARSE_H
#define FPARSE_H

extern int ReadrcFile(const char *, ip_acl **);
extern int ParseFile(const char *, ip_acl *);
extern int CleanLogtypes(tree **);

extern tree *logtype_root;
extern tree hierlog_root;
extern t_wordlist *outfilelist;
extern t_wordlist *protolist;

typedef struct logtype_s {
    char *name;
    unsigned int id;
} t_logtype;


#endif /* FPARSE_H */
